from spack import *


class PyMeautility(PythonPackage):
    """Python package for multi-electrode array (MEA) handling and stimulation.
    """

    homepage = 'https://meautility.readthedocs.io'
    pypi = "MEAutility/MEAutility-1.5.1.tar.gz"
    git = 'https://github.com/alejoe91/MEAutility.git'

    maintainers = ['alejoe91']

    version('1.5.0', sha256='6bad687c2cb4d3668f15cddf247b06f4da56e9e4d80d6935977d003dbc1cb31b')
    version('1.5.1', sha256='de12cc9c1772d3321e941af78e6bfb36cdcb5702a7b1272a852cc95f413bbfcb')

    depends_on('python@3.8:', type=('build', 'run'))
    depends_on('py-pip', type='build')
    depends_on('py-matplotlib', type=('build', 'run'))
    depends_on('py-numpy', type=('build', 'run'))
    depends_on('py-pyyaml', type=('build', 'run'))
    depends_on('py-setuptools', type=('build', 'run'))
    depends_on('py-pytest', type='test')
